<?php if (! empty($data['CustomFields'])): ?>
    <?php $this->CustomFields = $this->loadHelper('EvCustomFields.CustomFields'); ?>

    <?php
    	// Split the custom fields up based on their names
    	$customTabs = Hash::combine($data['CustomFields'], '{n}.Field.id', '{n}', '{n}.Field.tab_name');
    ?>

    <?php foreach($customTabs as $tabName => $tabFields): ?>
	    <div class="tab__content custom-field-data" data-title="<?= $tabName ? $tabName : $data['Template']['cfDataLabel'] ?>">
	    	<?php foreach ($tabFields as $customFieldId => $field): ?>


		        <?php if (! isset($field['Field']['is_active']) || (bool) $field['Field']['is_active'] === false):
		            continue;
		        endif; ?>

		        <?php
		            $attr = $this->CustomFields->cleanAttrArray($field['Field']);

		            echo $this->Form->addField(
		                'CustomFieldData.' . $customFieldId . '.FieldData.id',
		                array(
		                    'type' => 'hidden'
		                )
		            );

		            if (! empty($cfValidationErrors)) {
		                $errors = Hash::get($cfValidationErrors, '{n}.FieldData.value');
		                if (! empty($errors)) {
		                    $attr['error'] = implode(',', $errors);
		                }
		            }


		            $attr['id'] = 'cf-' . $attr['id'];
		            $attr['wrapInput'] = ($attr['type'] != 'boolean') ? 'col-xs-12 col-sm-10 col-md-9 col-lg-10' : '';
		            $attr['label'] = array(
		                'text' => $attr['label'],
		                'class' => 'col-xs-12 col-sm-2 col-md-3 col-lg-2 control-label'
		            );

                    if ($this->Session->check('CustomFieldData.' . $customFieldId . '.FieldData.value')):
                $attr['value'] = $this->Session->read('CustomFieldData.' . $customFieldId . '.FieldData.value');
            endif;

		            echo $this->Form->addField(
		                'CustomFieldData.' . $customFieldId . '.FieldData.value',
		                $attr
		            );
		        ?>

		    <?php endforeach; ?>
	    </div>


	<?php endforeach; ?>

<?php endif; ?>
